# Init fake providers
cp src/dags/libs/__init__.py src/dags/libs/init.py
cp tests/end-to-end-tests/fake_init.py src/dags/libs/__init__.py
cp tests/plugin-unit-tests/mock_providers.py src/dags/providers/mock_providers.py
export CLOUD_PROVIDER="provider_test"

# Set airflow env
chmod +x tests/set_airflow_env.sh
tests/./set_airflow_env.sh > /dev/null  2>&1
rm -r /usr/local/airflow/plugins/tests

# Start flask web server
export FLASK_APP=/mock-server/app.py && flask run &
sleep 15
timeout 700 python /mock-server/test_dags.py  || EXIT_CODE=$?

# Clean fake providers
cp -r /usr/local/airflow/logs logs/
mv src/dags/libs/init.py src/dags/libs/__init__.py
rm src/dags/providers/mock_providers.py

exit $EXIT_CODE
